repo/gentoo:master commit in: dev-ruby/sqlite3/
"Sam James" <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1785977392.ef3a436a3a6615f4e383bad537dea7149c7be049.sam@gentoo> |
commit: ef3a436a3a6615f4e383bad537dea7149c7be049
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 6 00:49:52 2026 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Aug 6 00:49:52 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef3a436a
dev-ruby/sqlite3: add 2.9.5
Bug: https://bugs.gentoo.org/980407
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-ruby/sqlite3/Manifest | 1 +
dev-ruby/sqlite3/sqlite3-2.9.5.ebuild | 66 +++++++++++++++++++++++++++++++++++
2 files changed, 67 insertions(+)
diff --git a/dev-ruby/sqlite3/Manifest b/dev-ruby/sqlite3/Manifest
index 714e027d3d8f..733a2b77c55c 100644
--- a/dev-ruby/sqlite3/Manifest
+++ b/dev-ruby/sqlite3/Manifest
@@ -1,2 +1,3 @@
DIST sqlite3-2.7.3.tar.gz 94800 BLAKE2B 08036a1078818c6e6c5c67d922aa8ebcb05dbd8f2a1789e52af5014e41a39f9c5a9b373e356f99919c2227fc62996e2e87198f6253a102af03076e614f072fa2 SHA512 30015de31653b6dbec699a8245172b2db921c7f2c5c74872f926ceec06226bb43545f3caa89a6cc846761dcd3e291e8d9508cc787a1f520eda036df01f03e30e
DIST sqlite3-2.9.0.tar.gz 95483 BLAKE2B c9fa9b3a5e96366fbbf27697ad21fc6d6155b4735125f7fcd909b7539e7c6772465ac1329bfd3357464027c6a3dcb358aad725de2ab9a9dab72cdfff3ca45347 SHA512 37d0268460e1c6b847c9259bfe75becff09c28d8e9d2e8a2ce7c8bb4848f39700f2c3741bb86e846907dbeb315971188585b0c86f2d04d002ba952882a6bee39
+DIST sqlite3-2.9.5.tar.gz 97674 BLAKE2B 5cc7fc5889c145f3199815affb29f395ad4a438db7e98f35226adf77df41e211f615fad6c0ae5eb94efa7e9ec7e4e0a4c1088ee6b9fb3b95cfc2f87e6a41a7bb SHA512 ce399b1c27f3759aaf45c42beb103e77788a412fb329c91ebd0d386590471d5fa8936db989373f92e6804486fcb7c5a6467d2f43bc97bd1497deb87f32f629d7
diff --git a/dev-ruby/sqlite3/sqlite3-2.9.5.ebuild b/dev-ruby/sqlite3/sqlite3-2.9.5.ebuild
new file mode 100644
index 000000000000..0b506b254fc4
--- /dev/null
+++ b/dev-ruby/sqlite3/sqlite3-2.9.5.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_TASK_DOC="faq"
+RUBY_FAKEGEM_DOCDIR="doc faq"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/sqlite3/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR=lib/sqlite3
+RUBY_FAKEGEM_GEMSPEC="sqlite3.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An extension library to access a SQLite database from Ruby"
+HOMEPAGE="https://github.com/sparklemotion/sqlite3-ruby"
+SRC_URI="https://github.com/sparklemotion/sqlite3-ruby/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+RUBY_S="sqlite3-ruby-${PV}"
+LICENSE="BSD"
+
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos ~x64-solaris"
+IUSE="doc test"
+
+# We track the bundled sqlite version here
+RDEPEND=">=dev-db/sqlite-3.53.2:3"
+DEPEND=">=dev-db/sqlite-3.53.2:3"
+
+ruby_add_bdepend "
+ doc? ( dev-ruby/rdoc )
+ test? ( dev-ruby/minitest:5 )
+"
+
+all_ruby_prepare() {
+ sed -i -e 's/enable_config("system-libraries")/true/' ext/sqlite3/extconf.rb || die
+
+ # Remove the runtime dependency on mini_portile2. We build without
+ # it and it is not a runtime dependency for us.
+ sed -e '/mini_portile2/ s:^:#:' \
+ -e '/WARNING/ s:^:#:' \
+ -e "s/0.0.0/${PV}/" \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid a failing spec for reprepares stats. Upstream indicates that
+ # the stats data should not be relied on other than for human
+ # debugging.
+ sed -e '/def test_stat_reprepares/askip "Fails on Gentoo"' \
+ -i test/test_statement.rb || die
+}
+
+all_ruby_compile() {
+ all_fakegem_compile
+
+ if use doc; then
+ rdoc --title "${P} Documentation" -o doc --main README.rdoc lib *.rdoc ext/*/*.c || die
+ rm -f doc/js/*.gz || die
+ fi
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:test:. -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+}